Subject: Re: BUG: sleeping function called from invalid context at kernel/rwsem.c:131 XFS? (was: Re: linux-next: Tree for October 17)

From: Christoph Hellwig <[email-masked]>
Date: Mon, 20 Oct 2008 12:33:27 -0400

On Mon, Oct 20, 2008 at 06:58:09PM +0400, Alexander Beregalov wrote:
> Hi Christoph
> 
> I have the same result with next-1020 and today's xfs-2.6.git/master
> (
> commit bfd2bd10da76378dc4afd87d7d204a1d3d70b347
> Author: David Chinner <[email-masked]>
> Date:   Fri Oct 17 15:36:23 2008 +1000
>     Inode: Allow external list initialisation
> )
> 
> Should I start bisecting?

That would be extremely helpful! 

And as mentioned in the other mail I still can't reproduce it, but I can
currently only test on x86-32, not x86-64.